CREATE DATABASE EXPLICACION_TRIGGERS;

USE EXPLICACION_TRIGGERS;

CREATE TABLE TEST_1(var1 INT);
CREATE TABLE TEST_2(var2 INT);
CREATE TABLE TEST_3(var3 INT NOT NULL AUTO_INCREMENT PRIMARY KEY);
CREATE TABLE TEST_4(var4 INT NOT NULL AUTO_INCREMENT PRIMARY KEY, var5 INT DEFAULT 0);

SET GLOBAL log_bin_trust_function_creators = 1;

DELIMITER |

CREATE TRIGGER triggerPrueba BEFORE INSERT ON TEST_1 FOR EACH ROW BEGIN
		INSERT INTO TEST_2 SET var2 = NEW.var1;
        DELETE FROM TEST_3 WHERE var3 = NEW.var1;
        UPDATE TEST_4 SET var5 = var5 + 1 WHERE var4 = NEW.var1;
	END
|

INSERT INTO TEST_3 (var3) VALUES (NULL), (NULL), (NULL), (NULL), (NULL),  (NULL), (NULL), (NULL), (NULL), (NULL);

INSERT INTO TEST_4 (var4) VALUES (0), (0), (0), (0), (0), (0), (0), (0), (0), (0);